From 13e974c5e0f395a630f206b391a5ac86495cc61e Mon Sep 17 00:00:00 2001
From: guowenxue <guowenxue@gmail.com>
Date: Thu, 08 Aug 2019 13:31:47 +0800
Subject: [PATCH] Add vsftpd build shell script

---
 3rdparty/vsftpd/build.sh |   97 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 97 insertions(+), 0 deletions(-)

diff --git a/3rdparty/vsftpd/build.sh b/3rdparty/vsftpd/build.sh
new file mode 100755
index 0000000..d5549af
--- /dev/null
+++ b/3rdparty/vsftpd/build.sh
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+#+--------------------------------------------------------------------------------------------
+#|Description:  This shell script used download and compile vsftpd for ARM
+#|     Author:  GuoWenxue <guowenxue@gmail.com>
+#|  ChangeLog:
+#|           1, Initialize 1.0.0 on 2018.08.16
+#+--------------------------------------------------------------------------------------------
+
+PREFIX_PATH=`pwd`/../install/
+
+LYFTP_SRC=ftp://master.iot-yun.club/src/
+
+if [ -z $CROSSTOOL ] ; then
+   CROSSTOOL=/opt/crosstool/cortex-a7/bin/arm-linux-gnueabi-
+fi
+
+function msg_banner()
+{
+    echo ""
+    echo "+-----------------------------------------------------------------------"
+    echo "|  $1 "
+    echo "+-----------------------------------------------------------------------"
+    echo ""
+}
+
+function check_result()
+{
+    if [ $? != 0 ] ; then
+       echo ""
+       echo "+-----------------------------------------------------------------------"
+       echo "|  $1 "
+       echo "+-----------------------------------------------------------------------"
+       echo ""
+       exit ;
+    fi
+}
+
+function export_cross()
+{
+    # export cross toolchain
+    export CC=${CROSSTOOL}gcc
+    export CXX=${CROSSTOOL}g++
+    export AS=${CROSSTOOL}as
+    export AR=${CROSSTOOL}ar
+    export LD=${CROSSTOOL}ld
+    export NM=${CROSSTOOL}nm
+    export RANLIB=${CROSSTOOL}ranlib
+    export OBJDUMP=${CROSSTOOL}objdump
+    export STRIP=${CROSSTOOL}strip
+
+    # export cross configure 
+    export CONFIG_CROSS=" --build=i686-pc-linux --host=arm-linux "
+
+    # Clear LDFLAGS and CFLAGS
+    export LDFLAGS=
+    export CFLAGS=
+}
+
+
+function compile_vsftpd()
+{
+    SRC_NAME=vsftpd-3.0.3
+    PACK_SUFIX=tar.gz
+
+    if [ -f ${PREFIX_PATH}/bin/vsftpd ] ; then
+        echo "$SRC_NAME already compile and installed"
+        return 0;
+    fi
+
+    msg_banner "Start cross compile $SRC_NAME "
+
+    if [ ! -f ${SRC_NAME}.${PACK_SUFIX} ] ; then
+        #wget https://ftp.osuosl.org/pub/blfs/conglomeration/vsftpd/${SRC_NAME}.${PACK_SUFIX}
+        wget ${LYFTP_SRC}/${SRC_NAME}.${PACK_SUFIX}
+
+        check_result "ERROR: download ${SRC_NAME} failure"
+    fi
+
+    tar -xzf ${SRC_NAME}.${PACK_SUFIX}
+    cd ${SRC_NAME}
+
+    sed -i -e "s|^CC.*|CC  =  ${CROSSTOOL}gcc|g" Makefile
+    make
+    check_result "ERROR: compile ${SRC_NAME} failure"
+
+    ${STRIP} vsftpd
+    cp vsftpd ${PREFIX_PATH}/bin
+
+    cd -
+}
+
+export_cross
+
+compile_vsftpd
+
+

--
Gitblit v1.9.1